## com.lowagie.rups.view.models
Class PdfArrayTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          com.lowagie.rups.view.models.PdfArrayTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class PdfArrayTableModel

extends javax.swing.table.AbstractTableModel

A TableModel in case we want to show a PDF array in a JTable.

See Also:
  Serialized Form

Field Summary
`protected PdfArray` `array` The PDF array.
`private static long` `serialVersionUID` A serial version UID.

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`PdfArrayTableModel(PdfArray array)` Creates the TableModel.

Method Summary
`int` `getColumnCount()`
`java.lang.String` `getColumnName(int columnIndex)`
`int` `getRowCount()`
`java.lang.Object` `getValueAt(int rowIndex, int columnIndex)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  A serial version UID.

  See Also:
    Constant Field Values

### array

    protected PdfArray array

  The PDF array.

Constructor Detail

### PdfArrayTableModel

    public PdfArrayTableModel(PdfArray array)

  Creates the TableModel.

  Parameters:
    `array` - a PDF array

Method Detail

### getColumnCount

    public int getColumnCount()

  See Also:
    `TableModel.getColumnCount()`

### getRowCount

    public int getRowCount()

  See Also:
    `TableModel.getRowCount()`

### getValueAt

    public java.lang.Object getValueAt(int rowIndex,
                                       int columnIndex)

  See Also:
    `TableModel.getValueAt(int, int)`

### getColumnName

    public java.lang.String getColumnName(int columnIndex)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`
  See Also:
    `AbstractTableModel.getColumnName(int)`

Hosted by Hostbasket